/*!\file segmentation.h
 *
 * \brief outils de segmentation d'images
 *
 * \author Farès BELHADJ amsi@ai.univ-paris8.fr
 * \date May 20, 2014
 */

#ifndef _SEGMENTATION_H
#define _SEGMENTATION_H

#ifdef __cplusplus
extern "C" {
#endif
  
  typedef unsigned long long Uint64;
  typedef unsigned int Uint32;
  typedef unsigned short Uint16;
  typedef unsigned char Uint8;

  extern void rgb2hsv(double r, double g, double b, double * h, double * s, double * v);
  extern void hsv2rgb(double h, double s, double v, double * r, double * g, double * b);
  extern void byComponentHistogram(uint8_t * data, int w, int h, int ws, int nbc, int * histogram, int shift);
  extern void segmentUsingKmean(uint8_t * data, int w, int h, int ws, int nbc, int nbColors, int shift);
  
#ifdef __cplusplus
}
#endif

#endif
